Crypto++ 8.6 Free C++ class library of cryptographic schemes

Public Member Functions | Static Public Attributes | List of all members
IteratedHashWithStaticTransform< T_HashWordType, T_Endianness, T_BlockSize, T_StateSize, T_Transform, T_DigestSize, T_StateAligned > Class Template Reference

Iterated hash with a static transformation function. More...

Inheritance diagram for IteratedHashWithStaticTransform< T_HashWordType, T_Endianness, T_BlockSize, T_StateSize, T_Transform, T_DigestSize, T_StateAligned >:

## Public Member Functions
unsigned int | DigestSize () const
| Provides the digest size of the hash. More...
Public Member Functions inherited from ClonableImpl< T_Transform, AlgorithmImpl< IteratedHash< T_HashWordType, T_Endianness, T_BlockSize >, T_Transform > >
Clonable * | Clone () const
| Create a copy of this object. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Static Public Attributes
static const int | DIGESTSIZE = T_DigestSize ? T_DigestSize : T_StateSize

## Additional Inherited Members
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

### template<class T_HashWordType, class T_Endianness, unsigned int T_BlockSize, unsigned int T_StateSize, class T_Transform, unsigned int T_DigestSize = 0, bool T_StateAligned = false>
class IteratedHashWithStaticTransform< T_HashWordType, T_Endianness, T_BlockSize, T_StateSize, T_Transform, T_DigestSize, T_StateAligned >

Iterated hash with a static transformation function.

Template Parameters

  T_HashWordType | Hash word type
  T_Endianness | Endianness type of hash
  T_BlockSize | Block size of the hash
  T_StateSize | Internal state size of the hash
  T_Transform | HashTransformation derived class
  T_DigestSize | Digest size of the hash
  T_StateAligned | Flag indicating if state is 16-byte aligned

See also
  HashTransformation, MessageAuthenticationCode

Definition at line 180 of file iterhash.h.

## Member Function Documentation

## ◆ DigestSize()

template<class T_HashWordType , class T_Endianness , unsigned int T_BlockSize, unsigned int T_StateSize, class T_Transform , unsigned int T_DigestSize = 0, bool T_StateAligned = false>

unsigned int IteratedHashWithStaticTransform< T_HashWordType, T_Endianness, T_BlockSize, T_StateSize, T_Transform, T_DigestSize, T_StateAligned >::DigestSize | ( |  | ) | const
| inline

Provides the digest size of the hash.

Returns
  the digest size of the hash, in bytes

DigestSize() returns `DIGESTSIZE`.

Definition at line 191 of file iterhash.h.

The documentation for this class was generated from the following file:

- iterhash.h